import { BrowserRouter, Switch } from "react-router-dom";

import { Nav, Footer } from 'components'
import { AccountPage, HomePage, OrderIndexPage, OrderShowPage } from 'pages';
import { GoogleAuthProvider } from 'hooks'
import { PublicRoute, PrivateRoute } from 'router'
import { StyleProvider } from 'styles'

const MainRouter: React.FC = () => {
    return (
        <StyleProvider>
            <BrowserRouter>
                <GoogleAuthProvider>
                    <Nav />
                    <main>
                        <Switch>
                            <PrivateRoute path="/account" component={AccountPage} />
                            <PublicRoute exact path="/" component={HomePage} />
                            <PrivateRoute path="/orders/:id" component={OrderShowPage} />
                            <PrivateRoute path="/orders" component={OrderIndexPage} />
                            {/* <Route component={NotFoundPage} /> */}
                        </Switch>
                    </main>
                    <Footer />
                </GoogleAuthProvider>
            </BrowserRouter>

        </StyleProvider>
    )
}

export default MainRouter